' --------------------------------------------------------------------------------------------------------------- '
' Script s'exécutant après la récupération de relevé dans le module de Transmission Suite Entreprise
'
' METHODE D'UTILISATION DU SCRIPT
'
' 1/ Paramétrer le ou les fichiers destination comme suit :
' -------------------------------------------------------------
'
' - On peut configurer un ou plusieurs fichiers de destination :
'
'       + le paramétrage d'un seul fichier est comme le paramétrage du fichier source. Exemple : CheminFichierDest = "C:\abc.txt"
'
'       + le paramétrage de plusieurs fichiers se fait de la même manière que pour un seul, mais en séparant les chemins de fichier par des ;
'         Exemple : CheminFichierDest = "C:\abc.txt;C:\def.txt"
'
' Attention : Vérifiez que le fichier source est bien configuré et que vous avez les droits pour écrire dans les chemins de destination !
'
' 2/ Configurer les actions
' -------------------------
'
' Pour copier un fichier, il faut appeler la commande suivante :
'
'    Call CopieFichier(CheminFichierDest)
'
' Pour déplacer un fichier, il faut appeler la commande suivante :
'
'    Call DeplaceFichier(CheminFichierDest)
'
' --------------------------------------------------------------------------------------------------------------- '

' 0/ Récupération du fichier source

Set oArgs=WScript.Arguments
CheminFichierSource = oArgs(0)

' 1/ Paramétrage des fichiers source et destination 
 
'CheminFichierDest = "Dest.txt;Dest2.txt"

'Extraction du nom du fichier source passé en paramètre du script
NomFichierSource = Right(CheminFichierSource, Len(CheminFichierSource) - InStrRev(CheminFichierSource, "\", -1, 1))
'Construction des chemins ou sera dupliquer le fichier source
CheminFichierDest = "C:\Suite Entreprise v2\AFB\1\" & NomFichierSource & ";" & "C:\Suite Entreprise v2\AFB\2\"

' 2/ Configuration des actions

Call CopieFichier(CheminFichierDest) 
'Call DeplaceFichier(CheminFichierDest)

WScript.Quit


' --------------------------------------------------------------------------------------------------------------- '
'                                               FONCTIONS
' --------------------------------------------------------------------------------------------------------------- '


' ----------------------------------------------------
'
' Sub de copie du fichier
'
' Entrées :    - le (ou les) chemin(s) de fichier destination
'
' Note : si plusieurs chemin de destination sont définis, il faut les séparer par des ;
' Exemple : "C:\abc.txt;C:\bcd.txt"
'
' ----------------------------------------------------
Sub CopieFichier(strCheminFichierDest)
    
    Source = oArgs(0)
    
    Destin = split(strCheminFichierDest,";")
  
    Set objOFS = CreateObject("Scripting.FileSystemObject")
    
    '
    ' On boucle sur les fichiers de destination
    '
    For i = 0 to UBound(Destin)

        If (objOFS.FileExists(Source)) Then
            objOFS.CopyFile Source, Destin(i)
        End If
        
    Next
      
    Set objOFS = Nothing

End Sub


' ----------------------------------------------------
'
' Sub de déplacement du fichier
'
' Entrées :   - le (ou les) chemin(s) de fichier destination
'
' Note : si plusieurs chemin de destination sont définis, il faut les séparer par des ;
' Exemple : "C:\abc.txt;C:\bcd.txt"
'
' ----------------------------------------------------
Sub DeplaceFichier(strCheminFichierDest)
    
    Source = CheminFichierSource
    Destin = split(strCheminFichierDest,";")
  
    Set objOFS = CreateObject("Scripting.FileSystemObject")
    
    '
    ' On boucle sur les fichiers de destination
    '
    For i = 0 to UBound(Destin)

        If (objOFS.FileExists(Source)) Then
            objOFS.CopyFile Source, Destin(i)
        End If
        
    Next
      
     Set Ftxt = objOFS.GetFile(CheminFichierSource)   
     Ftxt.delete
     
     Set objOFS = Nothing

End Sub



' ----------------------------------------------------
'
' Sub de suppression du fichier
'
' Entrée :    - le chemin de fichier strCheminFichier 
'
' ----------------------------------------------------
Sub SupprimeFichier(strCheminFichier)

    Set FSO = CreateObject("Scripting.FileSystemObject")

    'Suppression du fichier
    Set Ftxt = fso.GetFile(strCheminFichier)   
    Ftxt.delete

End Sub

' ----------------------------------------------------
'
' Fonction de lecture du fichier
'
' Entrée :    - le fichier à lire
'
' Sortie :    - la string du contenu du fichier 
'
' ----------------------------------------------------
Function LireFichier(strCheminFichier)

     ' 1/ déclaration file system object
     Dim fso

     ' 2/ instanciation
     Set FSO = CreateObject("Scripting.FileSystemObject")

     ' 3/ on instancie le fichier texte 
     Set Ftxt = FSO.OpenTextFile(strCheminFichier)

     ' 4/ on parcoure chaque ligne du fichier texte
     Do While Not Ftxt.AtEndOfStream
          MaVariable = Ftxt.Readline
          
           '....... <- votre code ici pour traiter chaque ligne
           
     Loop

     Ftxt.Close

End Function






